Namespace
library
Image / Tag
consul:1.8.18
Content Digest
sha256:eea4e23addc159be441d9b627b98be3f90f1bfe1c437483960c90789321fa86a
Details
Created

2021-12-14 20:39:19 UTC

Size

37.2 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.8.18

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:afe0e1febe23918824088b45b415ce1778e92899ae26f0867294eb91de50aa4f - 7.25% (2.7 MB)

[#001] sha256:f88d2131fa6612db0bb58a99bb2ea76a55a14a1d062b50ea1fcf666b446c78ae - 0.0% (1.23 KB)

[#002] sha256:601c65b117486f6aa9ca666a5cb3f379e2dc97cd8081b217b69328278e5c7d41 - 92.74% (34.5 MB)

[#003] sha256:31747c33dac45d4a153e19f11afbdbeb7fae7608c8a4f339f2dbb304f3dbf073 - 0.0% (175 Bytes)

[#004] sha256:f3cd5ac009e9b91138a496dacb1e3c223ca898dd3441db87e85d843ee5e3b82e - 0.0% (153 Bytes)

[#005] sha256:42a2fbe27afe68e7d13d4c99919fe5939d8730c3006ca62c4bde1df8cc97e4f2 - 0.0% (1.74 KB)


History
2021-11-12 16:38:50 UTC

/bin/sh -c #(nop) ADD file:f6503c5a96198c02627cf7250b271ec6d49ffa83a87a588498eee61ba7f9c6fe in /

2021-11-12 16:38:50 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-14 20:39:06 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.18

2021-12-14 20:39:06 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.18 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-14 20:39:06 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-14 20:39:07 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-14 20:39:15 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-14 20:39:16 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-14 20:39:17 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-14 20:39:18 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-14 20:39:18 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-14 20:39:18 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-14 20:39:18 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-14 20:39:19 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-14 20:39:19 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-14 20:39:19 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-14 20:21:25 UTC

Size

37.8 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.8.18

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:5758d4e389a3f662e94a85fb76143dbe338b64f8d2a65f45536a9663b05305ad - 7.12% (2.69 MB)

[#001] sha256:4225e222515a56c2592f391917f8a8cfcf2ea17e324648324ecb80d2f7b9eaea - 0.0% (1.23 KB)

[#002] sha256:19738c4da42f24187b6fd0fb85173db3d542b4d115f4db2c2bd9bf4b08f2bf5f - 92.87% (35.1 MB)

[#003] sha256:9faef3ee9faa025bbaf6595740414ab02e5a77b0c1b14aa09a2f9da1ad0f2e05 - 0.0% (175 Bytes)

[#004] sha256:fe43cf4ae3b0b75a15a4432f6f77db29d48b910b0d20324236f57f91737195d7 - 0.0% (154 Bytes)

[#005] sha256:d38c5aefb781292ea8c44979be412147c2e5c37bd35aa21b05169321d9de3969 - 0.0% (1.74 KB)


History
2021-11-12 17:19:58 UTC

/bin/sh -c #(nop) ADD file:5a707b9d6cb5fff532e4c2141bc35707593f21da5528c9e71ae2ddb6ba4a4eb6 in /

2021-11-12 17:19:58 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-14 20:21:14 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.18

2021-12-14 20:21:15 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.18 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-14 20:21:15 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-14 20:21:16 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-14 20:21:21 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-14 20:21:22 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-14 20:21:23 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-14 20:21:23 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-14 20:21:24 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-14 20:21:24 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-14 20:21:24 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-14 20:21:24 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-14 20:21:24 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-14 20:21:25 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-14 19:51:11 UTC

Size

36 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.8.18

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:846f3a0f3493d22f22643b6a1c057d2d37e608433cd1033d25dac92032b8b9e3 - 6.97% (2.51 MB)

[#001] sha256:fbdf34b7336fc2c298b5bce3f469a542abfdb046db17f73f75514da048d308d3 - 0.0% (1.23 KB)

[#002] sha256:82d3971a463e11d15d7ceef6b01505899a6602902908124023055181f6c32d4e - 93.02% (33.5 MB)

[#003] sha256:5d8a409be9e64f07ac679bf7f6f2b53b0e2d417b228ee817bb55e2295219302a - 0.0% (174 Bytes)

[#004] sha256:4fe3c149b532390a0f5e86a021a8946a4a67bb5b286998cce46e03ac8d2aeea0 - 0.0% (153 Bytes)

[#005] sha256:d23bbb98ea46c7b6cd22340d6e6781b6667f594f68820f63b0ced4c69b70e627 - 0.0% (1.74 KB)


History
2021-11-12 16:49:57 UTC

/bin/sh -c #(nop) ADD file:26e756fd544e28ae75be38d81452cf3266a2dabcffe9ecce3af2db9fde9edea3 in /

2021-11-12 16:49:58 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-14 19:50:51 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.18

2021-12-14 19:50:51 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.18 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-14 19:50:51 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-14 19:50:53 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-14 19:51:04 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-14 19:51:06 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-14 19:51:08 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-14 19:51:08 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-14 19:51:09 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-14 19:51:09 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-14 19:51:09 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-14 19:51:10 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-14 19:51:10 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-14 19:51:11 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]

Details
Created

2021-12-14 20:43:19 UTC

Size

35.9 MB

Content Digest
Labels
  • org.opencontainers.image.authors
    Consul Team <consul@hashicorp.com>
  • org.opencontainers.image.description
    Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.
  • org.opencontainers.image.documentation
    https://www.consul.io/docs
  • org.opencontainers.image.source
    https://github.com/hashicorp/consul
  • org.opencontainers.image.title
    consul
  • org.opencontainers.image.url
    https://www.consul.io/
  • org.opencontainers.image.vendor
    HashiCorp
  • org.opencontainers.image.version
    1.8.18

Environment
HASHICORP_RELEASES

https://releases.hashicorp.com

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:06decbbdea2401b400024fb2feadd51ee381cd4b7b78a30306c3828ec9f6c760 - 7.22% (2.59 MB)

[#001] sha256:e15918c156e8d4a8918b371f8458f3b32f206e28c5e82f548114e96c728d8601 - 0.0% (1.2 KB)

[#002] sha256:01bc308c4ae01f355551310bf1c2832c03257ccb692bbfbd45c99257c6c7b70e - 92.78% (33.3 MB)

[#003] sha256:7b6addae3d45d9e0a1ad29fa78f4133c51e91c8dc755ae9f358f36f132452298 - 0.0% (142 Bytes)

[#004] sha256:8ceb155592186725faaa460527d57d978b3f01d34ab71800a6d945ef93ddf902 - 0.0% (153 Bytes)

[#005] sha256:1405987d2fb255abee4a6ee1c518f9d0ab8d31bfec9dea66ebea76f9dab5f0dd - 0.0% (1.75 KB)


History
2021-11-12 16:40:05 UTC

/bin/sh -c #(nop) ADD file:ad85e8724ab9b90e37aadca9513807d07d557e7fc4287ca017f01f269aff3920 in /

2021-11-12 16:40:06 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2021-12-14 20:43:01 UTC

/bin/sh -c #(nop) ARG CONSUL_VERSION=1.8.18

2021-12-14 20:43:02 UTC

/bin/sh -c #(nop) LABEL org.opencontainers.image.authors=Consul Team <consul@hashicorp.com> org.opencontainers.image.url=https://www.consul.io/ org.opencontainers.image.documentation=https://www.consul.io/docs org.opencontainers.image.source=https://github.com/hashicorp/consul org.opencontainers.image.version=1.8.18 org.opencontainers.image.vendor=HashiCorp org.opencontainers.image.title=consul org.opencontainers.image.description=Consul is a datacenter runtime that provides service discovery, configuration, and orchestration.

2021-12-14 20:43:03 UTC

/bin/sh -c #(nop) ENV HASHICORP_RELEASES=https://releases.hashicorp.com

2021-12-14 20:43:04 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c addgroup consul && adduser -S -G consul consul

2021-12-14 20:43:10 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c set -eux && apk add --no-cache ca-certificates curl dumb-init gnupg libcap openssl su-exec iputils jq libc6-compat iptables tzdata && gpg --keyserver keyserver.ubuntu.com --recv-keys C874011F0AB405110D02105534365D9472D7468F && mkdir -p /tmp/build && cd /tmp/build && apkArch="$(apk --print-arch)" && case "${apkArch}" in aarch64) consulArch='arm64' ;; armhf) consulArch='arm' ;; x86) consulArch='386' ;; x86_64) consulArch='amd64' ;; *) echo >&2 "error: unsupported architecture: ${apkArch} (see ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/)" && exit 1 ;; esac && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_linux_${consulArch}.zip && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS && wget ${HASHICORP_RELEASES}/consul/${CONSUL_VERSION}/consul_${CONSUL_VERSION}_SHA256SUMS.sig && gpg --batch --verify consul_${CONSUL_VERSION}_SHA256SUMS.sig consul_${CONSUL_VERSION}_SHA256SUMS && grep consul_${CONSUL_VERSION}_linux_${consulArch}.zip consul_${CONSUL_VERSION}_SHA256SUMS | sha256sum -c && unzip -d /tmp/build consul_${CONSUL_VERSION}_linux_${consulArch}.zip && cp /tmp/build/consul /bin/consul && if [ -f /tmp/build/EULA.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/EULA.txt /usr/share/doc/consul/EULA.txt; fi && if [ -f /tmp/build/TermsOfEvaluation.txt ]; then mkdir -p /usr/share/doc/consul; mv /tmp/build/TermsOfEvaluation.txt /usr/share/doc/consul/TermsOfEvaluation.txt; fi && cd /tmp && rm -rf /tmp/build && gpgconf --kill all && apk del gnupg openssl && rm -rf /root/.gnupg && consul version

2021-12-14 20:43:11 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c mkdir -p /consul/data && mkdir -p /consul/config && chown -R consul:consul /consul

2021-12-14 20:43:12 UTC

|1 CONSUL_VERSION=1.8.18 /bin/sh -c test -e /etc/nsswitch.conf || echo 'hosts: files dns' > /etc/nsswitch.conf

2021-12-14 20:43:13 UTC

/bin/sh -c #(nop) VOLUME [/consul/data]

2021-12-14 20:43:14 UTC

/bin/sh -c #(nop) EXPOSE 8300

2021-12-14 20:43:15 UTC

/bin/sh -c #(nop) EXPOSE 8301 8301/udp 8302 8302/udp

2021-12-14 20:43:16 UTC

/bin/sh -c #(nop) EXPOSE 8500 8600 8600/udp

2021-12-14 20:43:18 UTC

/bin/sh -c #(nop) COPY file:54fea1810b618dd421534c8fbe34fd9d05aa23929d2290f19c325d1c23d960c3 in /usr/local/bin/docker-entrypoint.sh

2021-12-14 20:43:18 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2021-12-14 20:43:19 UTC

/bin/sh -c #(nop) CMD ["agent" "-dev" "-client" "0.0.0.0"]